Bug 1015536 - MDB does not start when using generic-jms-ra.rar with transactions on jts
MDB does not start when using generic-jms-ra.rar with transactions on jts
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Stefano Maestri
Ondrej Chaloupka
Depends On:
  Show dependency treegraph
Reported: 2013-10-04 09:07 EDT by Ondrej Chaloupka
Modified: 2017-10-09 20:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-09-10 09:53:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ondrej Chaloupka 2013-10-04 09:07:45 EDT
When you run generic jms ra with TIBCO messaging and you run transactions set with JTS then the MDB fails to deploy with error:

JBAS014775:    New missing/unsatisfied dependencies:
      service jboss.ra.generic-jms-ra (missing) dependents: [service jboss.deployment.unit."jbossts_crashrecovery-jms-mdb_crashrecovery-jms-mdb.jar".component.mdb.CREATE]

Workarond exists: use .rar with ironjacanar.xml deployment descriptor
check comments under bug: https://bugzilla.redhat.com/show_bug.cgi?id=991389
Comment 7 Ondrej Chaloupka 2014-01-07 07:50:43 EST
This happens no just for the generic resource adapter but for activemq rar as well. At least from my test experience.

Note You need to log in before you can comment on or make changes to this bug.